optuna.visualization.is_available

optuna.visualization.is_available()bool[source]

Returns whether visualization is available or not.

Note

visualization module depends on plotly version 4.0.0 or higher. If a supported version of plotly isn’t installed in your environment, this function will return False. In such case, please execute $ pip install -U plotly>=4.0.0 to install plotly.

Returns

True if visualization is available, False otherwise.